Adobe Acrobat CTIsCertifiedMode Function Untrusted Plugin Loading

2003-03-21T00:00:00
ID OSVDB:9294
Type osvdb
Reporter Vladimir Katalov(info@elcomsoft.com)
Modified 2003-03-21T00:00:00

Description

Vulnerability Description

Acrobat contains a flaw that may allow a malicious user to load unauthorized plugins. The issue is triggered by the digital signature verification code, which only validates the header of a plugin file. It is possible that the flaw may allow an attacker to submit a modified plugin which will be executed as "reader-enabled" resulting in a loss of integrity.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

Acrobat contains a flaw that may allow a malicious user to load unauthorized plugins. The issue is triggered by the digital signature verification code, which only validates the header of a plugin file. It is possible that the flaw may allow an attacker to submit a modified plugin which will be executed as "reader-enabled" resulting in a loss of integrity.

References:

Vendor URL: http://www.adobe.com/ Mail List Post: http://lists.netsys.com/pipermail/full-disclosure/2003-March/004612.html Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2003-07/0066.html ISS X-Force ID: 11610 CVE-2002-0030 CVE-2003-0142 CERT VU: 549913 Bugtraq ID: 7174